Index: trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlung.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlung.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlung.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eBremsstrahlung.cc,v 1.56 2009/02/20 12:06:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlungModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlungModel.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlungModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eBremsstrahlungModel.cc,v 1.44 2009/04/09 18:41:18 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlungRelModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlungRelModel.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eBremsstrahlungRelModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eBremsstrahlungRelModel.cc,v 1.14 2009/04/09 18:41:18 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eCoulombScatteringModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eCoulombScatteringModel.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eCoulombScatteringModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eCoulombScatteringModel.cc,v 1.78 2009/10/28 10:14:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eIonisation.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eIonisation.cc,v 1.57 2009/02/20 12:06:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eMultipleScattering.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eMultipleScattering.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eMultipleScattering.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eMultipleScattering.cc,v 1.10 2009/11/01 13:05:01 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eeToTwoGammaModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eeToTwoGammaModel.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eeToTwoGammaModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToTwoGammaModel.cc,v 1.15 2009/04/09 18:41:18 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4eplusAnnihilation.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4eplusAnnihilation.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4eplusAnnihilation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eplusAnnihilation.cc,v 1.30 2009/02/20 12:06:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4hIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4hIonisation.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4hIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hIonisation.cc,v 1.82 2009/02/20 12:06:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4hMultipleScattering.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4hMultipleScattering.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4hMultipleScattering.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hMultipleScattering.cc,v 1.16 2009/11/01 13:05:01 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4ionGasIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4ionGasIonisation.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4ionGasIonisation.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ionGasIonisation.cc,v 1.15 2009/11/10 11:50:30 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/standard/src/G4ionIonisation.cc
===================================================================
--- trunk/source/processes/electromagnetic/standard/src/G4ionIonisation.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/standard/src/G4ionIonisation.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ionIonisation.cc,v 1.66 2009/02/20 12:06:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4ionIonisation.cc,v 1.70 2009/11/27 20:06:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -89,5 +89,5 @@
     nuclearStopping(true)
 {
-  SetLinearLossLimit(0.15);
+  SetLinearLossLimit(0.02);
   SetStepFunction(0.1, 0.1*mm);
   SetIntegral(true);
Index: trunk/source/processes/electromagnetic/utils/History
===================================================================
--- trunk/source/processes/electromagnetic/utils/History	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.398 2009/11/11 23:59:48 vnivanch Exp $
+$Id: History,v 1.400 2009/11/22 19:48:30 vnivanch Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,10 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+23 November 09: V.Ivant (emutils-V09-02-24)
+G4EmConfigurator - fixed bug in selection of models
+
+22 November 09: V.Ivant (emutils-V09-02-23)
+G4EmCalculator - take into account CorrectionAlongStep for ions
 
 10 November 09: V.Ivant (emutils-V09-02-22)
Index: trunk/source/processes/electromagnetic/utils/include/G4AtomicShell.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4AtomicShell.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4AtomicShell.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4AtomicShell.hh,v 1.1 2009/07/24 17:22:32 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4DummyModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4DummyModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4DummyModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DummyModel.hh,v 1.4 2009/04/07 18:39:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4ElectronIonPair.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4ElectronIonPair.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4ElectronIonPair.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ElectronIonPair.hh,v 1.2 2008/10/17 14:46:16 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4EmCalculator.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmCalculator.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmCalculator.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmCalculator.hh,v 1.19 2009/11/11 23:59:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4EmConfigurator.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmConfigurator.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmConfigurator.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmConfigurator.hh,v 1.2 2008/11/21 12:30:29 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EmCorrections.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmCorrections.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmCorrections.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmCorrections.hh,v 1.24 2008/09/12 14:44:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EmElementSelector.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmElementSelector.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmElementSelector.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmElementSelector.hh,v 1.6 2009/09/29 11:31:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EmModelManager.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmModelManager.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmModelManager.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmModelManager.hh,v 1.34 2009/08/11 10:29:30 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EmMultiModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmMultiModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmMultiModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmMultiModel.hh,v 1.6 2007/05/22 17:31:57 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EmProcessOptions.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmProcessOptions.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmProcessOptions.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmProcessOptions.hh,v 1.16 2009/10/29 19:25:28 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4EmProcessSubType.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmProcessSubType.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmProcessSubType.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EmProcessSubType.hh,v 1.9 2008/12/18 13:01:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EmSaturation.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmSaturation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmSaturation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmSaturation.hh,v 1.7 2009/09/25 09:16:40 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4EmTableType.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EmTableType.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EmTableType.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EmTableType.hh,v 1.4 2008/10/13 14:56:56 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EnergyLossMessenger.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EnergyLossMessenger.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EnergyLossMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EnergyLossMessenger.hh,v 1.24 2009/10/29 19:25:28 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4EnergyLossTables.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4EnergyLossTables.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4EnergyLossTables.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EnergyLossTables.hh,v 1.19 2006/06/29 19:54:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id:
Index: trunk/source/processes/electromagnetic/utils/include/G4LossTableBuilder.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4LossTableBuilder.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4LossTableBuilder.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LossTableBuilder.hh,v 1.8 2008/07/22 15:55:15 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4LossTableManager.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4LossTableManager.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4LossTableManager.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4LossTableManager.hh,v 1.55 2009/10/29 19:25:28 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4MscStepLimitType.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4MscStepLimitType.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4MscStepLimitType.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MscStepLimitType.hh,v 1.2 2007/06/11 14:56:51 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //---------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4VAtomDeexcitation.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VAtomDeexcitation.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VAtomDeexcitation.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VAtomDeexcitation.hh,v 1.1 2009/07/09 11:42:52 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4VEmFluctuationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VEmFluctuationModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VEmFluctuationModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VEmFluctuationModel.hh,v 1.12 2009/02/19 11:25:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4VEmModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VEmModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VEmModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VEmModel.hh,v 1.72 2009/09/23 14:42:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4VEmProcess.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VEmProcess.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VEmProcess.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VEmProcess.hh,v 1.55 2009/09/23 14:42:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4VEnergyLoss.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VEnergyLoss.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VEnergyLoss.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VEnergyLoss.hh,v 1.18 2006/06/29 19:54:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/electromagnetic/utils/include/G4VMscModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VMscModel.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VMscModel.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VMscModel.hh,v 1.9 2009/04/07 18:39:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4VMultipleScattering.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4VMultipleScattering.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4VMultipleScattering.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VMultipleScattering.hh,v 1.62 2009/10/29 17:56:04 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/include/G4ionEffectiveCharge.hh
===================================================================
--- trunk/source/processes/electromagnetic/utils/include/G4ionEffectiveCharge.hh	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/include/G4ionEffectiveCharge.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ionEffectiveCharge.hh,v 1.12 2008/09/20 19:39:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/src/G4AtomicShell.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4AtomicShell.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4AtomicShell.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AtomicShell.cc,v 1.2 ????
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Authors: Elena Guardincerri (Elena.Guardincerri@ge.infn.it)
Index: trunk/source/processes/electromagnetic/utils/src/G4DummyModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4DummyModel.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4DummyModel.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4DummyModel.cc,v 1.4 2009/04/07 18:39:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/src/G4ElectronIonPair.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4ElectronIonPair.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4ElectronIonPair.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ElectronIonPair.cc,v 1.2 2008/10/17 14:46:16 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/src/G4EmCalculator.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4EmCalculator.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4EmCalculator.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmCalculator.cc,v 1.48 2009/11/11 23:59:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4EmCalculator.cc,v 1.49 2009/11/22 17:58:39 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -127,19 +127,21 @@
   if(couple && UpdateParticle(p, kinEnergy) ) {
     res = manager->GetDEDX(p, kinEnergy, couple);
-    /*
+    
     if(isIon) {
       if(FindEmModel(p, currentProcessName, kinEnergy)) {
-	G4double length = 1.*um;
-	G4cout << "### GetDEDX: E= " << kinEnergy << " res= " << res; 
+	G4double length = CLHEP::nm;
 	G4double eloss = res*length;
+	//G4cout << "### GetDEDX: E= " << kinEnergy << " dedx0= " << res 
+	//       << " de= " << eloss << G4endl;; 
 	G4double niel  = 0.0;
+        dynParticle.SetKineticEnergy(kinEnergy);
+        currentModel->GetChargeSquareRatio(p, mat, kinEnergy);
 	currentModel->CorrectionsAlongStep(couple,&dynParticle,eloss,niel,length);
 	res = eloss/length; 
-     
-	//G4cout << "### GetDEDX: E= " << kinEnergy << " res= " << res;  
-	G4cout << " res1= " << res << G4endl;;
+     	//G4cout << " de1= " << eloss << " res1= " << res 
+	//       << " " << p->GetParticleName() <<G4endl;;
       }
     } 
-    */
+    
     if(verbose>0) {
       G4cout << "G4EmCalculator::GetDEDX: E(MeV)= " << kinEnergy/MeV
@@ -466,11 +468,12 @@
 
       // low energy correction for ions
-      /*
       if(isIon) {
-        G4double length = 1.*nm;
+        G4double length = CLHEP::nm;
 	const G4Region* r = 0;
 	const G4MaterialCutsCouple* couple = FindCouple(mat, r);
         G4double eloss = res*length;
         G4double niel  = 0.0;
+        dynParticle.SetKineticEnergy(kinEnergy);
+        currentModel->GetChargeSquareRatio(p, mat, kinEnergy);
         currentModel->CorrectionsAlongStep(couple,&dynParticle,eloss,niel,length);
         res = eloss/length; 
@@ -482,5 +485,4 @@
 	}
       }
-      */
     }
       
@@ -971,9 +973,9 @@
 	  	 		         G4double kinEnergy)
 {
-  G4bool res = false;
+  isApplicable = false;
   if(!p) {
     G4cout << "G4EmCalculator::FindEmModel WARNING: no particle defined" 
 	   << G4endl;
-    return res;
+    return isApplicable;
   }
   G4String partname =  p->GetParticleName();
@@ -985,5 +987,5 @@
     G4cout << "G4EmCalculator::FindEmModel for " << partname
            << " (type= " << p->GetParticleType()
-           << ") and " << processName << " at e(MeV)= " << scaledEnergy;
+           << ") and " << processName << " at E(MeV)= " << scaledEnergy;
     if(p != part) G4cout << "  GenericIon is the base particle";       
     G4cout << G4endl;
@@ -1019,8 +1021,7 @@
   }
   if(elproc) {
-    isApplicable = true;
     currentModel = elproc->SelectModelForMaterial(scaledEnergy, idx);
     G4double eth = currentModel->LowEnergyLimit();
-    if(eth > 0.0) { loweModel = elproc->SelectModelForMaterial(eth-keV, idx); }       
+    loweModel = elproc->SelectModelForMaterial(eth - CLHEP::eV, idx);
   }
 
@@ -1035,6 +1036,5 @@
         currentModel = (vem[i])->SelectModelForMaterial(kinEnergy, idx);
 	G4double eth = currentModel->LowEnergyLimit();
-	if(eth > 0.0) { loweModel = (vem[i])->SelectModelForMaterial(eth-keV, idx); }       
-	isApplicable    = true;
+	loweModel = (vem[i])->SelectModelForMaterial(eth - CLHEP::eV, idx);
         break;
       }
@@ -1053,12 +1053,22 @@
         currentModel = (vmsc[i])->SelectModelForMaterial(kinEnergy, idx);
 	G4double eth = currentModel->LowEnergyLimit();
-	if(eth > 0.0) { loweModel = (vmsc[i])->SelectModelForMaterial(eth-keV, idx); }       
-	isApplicable    = true;
+	loweModel = (vmsc[i])->SelectModelForMaterial(eth - CLHEP::eV, idx);  
         break;
       }
     }
   }
-  if(currentModel) res = true;
-  return res;
+  if(currentModel) {
+    if(loweModel == currentModel) { loweModel = 0; }
+    isApplicable = true;
+    if(verbose > 1) {
+      G4cout << "Model <" << currentModel->GetName() 
+	     << "> Emin(MeV)= " << currentModel->LowEnergyLimit()/MeV;
+      if(loweModel) { 
+	G4cout << " LowEnergy model <" << loweModel->GetName() << ">"; 
+      }
+      G4cout << G4endl;
+    } 
+  }
+  return isApplicable;
 }
 
Index: trunk/source/processes/electromagnetic/utils/src/G4EmConfigurator.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4EmConfigurator.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4EmConfigurator.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4EmConfigurator.cc,v 1.5 2009/07/20 17:06:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4EmConfigurator.cc,v 1.6 2009/11/22 19:48:30 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
@@ -67,5 +67,5 @@
 G4EmConfigurator::G4EmConfigurator()
 {
-  index = 1;
+  index = -10;
 }
 
@@ -156,5 +156,5 @@
 
   // new set
-  index--;
+  --index;
 
   G4ParticleTable::G4PTblDicIterator* theParticleIterator = 
@@ -258,5 +258,5 @@
 	  mod->SetHighEnergyLimit(e2);
 
-	  //G4cout << "e1= " << e1 << " e2= " << e2 << G4endl;
+	  //G4cout << "index= " << index << " e1= " << e1 << " e2= " << e2 << G4endl;
 
 	  // added model
@@ -270,4 +270,6 @@
 	    p->AddEmModel(index,mod,reg);
 	  } else if(ptype == msc) {
+	    //G4cout << "### Added msc model order= " << index << " for " 
+	    //	   << particleName << " and " << processName << "  " << mod << G4endl;
 	    G4VMultipleScattering* p = static_cast<G4VMultipleScattering*>(proc);
 	    p->AddEmModel(index,mod,reg);
Index: trunk/source/processes/electromagnetic/utils/src/G4EmCorrections.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4EmCorrections.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4EmCorrections.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmCorrections.cc,v 1.54 2009/10/29 17:56:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/utils/src/G4EmElementSelector.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4EmElementSelector.cc	(revision 1227)
+++ trunk/source/processes/electromagnetic/utils/src/G4EmElementSelector.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4EmElementSelector.cc,v 1.11 2009/09/29 11:31:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
